Imports System.Diagnostics

Module ListProcesses
    Sub Main()
        Dim ProcessList As Process()
        ProcessList = Process.GetProcesses()
        Dim Proc As Process
        For Each Proc In ProcessList
            Console.WriteLine("Name {0} ID {1}", Proc.ProcessName, Proc.Id)
        Next
        Console.ReadLine() 
    End Sub
End Module
